org.apache.jmeter.protocol.http.sampler.hc

## Class HttpConnPool

- java.lang.Object
- - org.apache.http.pool.AbstractConnPool<org.apache.http.conn.routing.HttpRoute,org.apache.http.conn.OperatedClientConnection,HttpPoolEntry>
  - - org.apache.jmeter.protocol.http.sampler.hc.HttpConnPool

- All Implemented Interfaces:
    org.apache.http.pool.ConnPool<org.apache.http.conn.routing.HttpRoute,HttpPoolEntry>, org.apache.http.pool.ConnPoolControl<org.apache.http.conn.routing.HttpRoute>

      public class HttpConnPool
      extends org.apache.http.pool.AbstractConnPool<org.apache.http.conn.routing.HttpRoute,org.apache.http.conn.OperatedClientConnection,HttpPoolEntry>

  Implementation of AbstractConnPool to allow better connection validity management.
  Since:
    3.2

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HttpConnPool(org.slf4j.Logger log, org.apache.http.conn.ClientConnectionOperator connOperator, int defaultMaxPerRoute, int maxTotal, long timeToLive, java.util.concurrent.TimeUnit tunit)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected HttpPoolEntry` | `createEntry(org.apache.http.conn.routing.HttpRoute route, org.apache.http.conn.OperatedClientConnection conn)`

    - ### Methods inherited from class org.apache.http.pool.AbstractConnPool

      `closeExpired, closeIdle, enumAvailable, enumLeased, getDefaultMaxPerRoute, getMaxPerRoute, getMaxTotal, getRoutes, getStats, getTotalStats, getValidateAfterInactivity, isShutdown, lease, lease, onLease, onRelease, onReuse, release, setDefaultMaxPerRoute, setMaxPerRoute, setMaxTotal, setValidateAfterInactivity, shutdown, toString, validate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### HttpConnPool

          public HttpConnPool(org.slf4j.Logger log,
                              org.apache.http.conn.ClientConnectionOperator connOperator,
                              int defaultMaxPerRoute,
                              int maxTotal,
                              long timeToLive,
                              java.util.concurrent.TimeUnit tunit)

  - ### Method Detail

    - #### createEntry

          protected HttpPoolEntry createEntry(org.apache.http.conn.routing.HttpRoute route,
                                              org.apache.http.conn.OperatedClientConnection conn)

      Specified by:
        `createEntry` in class `org.apache.http.pool.AbstractConnPool<org.apache.http.conn.routing.HttpRoute,org.apache.http.conn.OperatedClientConnection,HttpPoolEntry>`

Copyright © 1998-2018 Apache Software Foundation. All Rights Reserved.